Bug 117741 - P4 2.8ghz HT, Using RHEL WS 3.0 Update 1, latest SMP Kernel, see only 1 CPU
P4 2.8ghz HT, Using RHEL WS 3.0 Update 1, latest SMP Kernel, see only 1 CPU
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-07 20:35 EST by Franklin Abud
Modified: 2013-08-05 21:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Franklin Abud 2004-03-07 20:35:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:
Using RHEL WS 3.0 Update 1, with latest SMP kernel from up2date 
I have a P4 2.8Ghz HT (Enabled in the BIOS, it works in Windows XP and
under RHEL WS 2.1 Update 3. Computer is HP D530 (Intel 865 MotherBoard) 
 
The kernel sees only 1 CPU, it should see 2 
 
Here's cat /proc/cpu:

[redvortex@ATQ-ADM-18 redvortex]$ cat /proc/cpuinfo  
processor       : 0 
vendor_id       : GenuineIntel 
cpu family      : 15 
model           : 2 
model name      : Intel(R) Pentium(R) 4 CPU 2.80GHz 
stepping        : 9 
cpu MHz         : 2793.240 
cache size      : 512 KB 
physical id     : 0 
siblings        : 1 
runqueue        : 0 
fdiv_bug        : no 
hlt_bug         : no 
f00f_bug        : no 
coma_bug        : no 
fpu             : yes 
fpu_exception   : yes 
cpuid level     : 2 
wp              : yes 
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm 
bogomips        : 5570.56 
 
[redvortex@ATQ-ADM-18 redvortex]$ uname -a 
Linux ATQ-ADM-18.atq.2000 2.4.21-9.ELsmp #1 SMP Thu Jan 8 17:08:56 EST
2004 i686 
i686 i386 GNU/Linux 
[redvortex@ATQ-ADM-18 redvortex]$

Version-Release number of selected component (if applicable):
kernel-2.4.21-9ELsmp

How reproducible:
Always

Steps to Reproduce:
1.install smp kernel on HT capable machine
2.
3.
    

Actual Results:  Should see 2 CPU's

Expected Results:  smp kernel should see 2cpu

Additional info:

dmesg 

Linux version 2.4.21-9.ELsmp (bhcompile@stripples.devel.redhat.com)
(gcc version 
3.2.3 20030502 (Red Hat Linux 3.2.3-26)) #1 SMP Thu Jan 8 17:08:56 EST
2004 
BIOS-provided physical RAM map: 
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable) 
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved) 
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved) 
 BIOS-e820: 0000000000100000 - 000000003f7f0000 (usable) 
 BIOS-e820: 000000003f7f0000 - 0000000040000000 (reserved) 
 BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved) 
119MB HIGHMEM available. 
896MB LOWMEM available. 
found SMP MP-table at 000faa60 
hm, page 000fa000 reserved twice. 
hm, page 000fb000 reserved twice. 
hm, page 000ed000 reserved twice. 
hm, page 000ee000 reserved twice. 
On node 0 totalpages: 260080 
zone(0): 4096 pages. 
zone(1): 225280 pages. 
zone(2): 30704 pages. 
ACPI: Searched entire block, no RSDP was found. 
ACPI: RSDP located at physical address c00ea410 
RSD PTR  v0 [COMPAQ] 
__va_range(0xe5e40, 0x68): idx=33 mapped at fffdd000 
ACPI table found: RSDT v1 [COMPAQ CPQ0064  8195.1808] 
ACPI: Too big length in RSDT: 128 
Intel MultiProcessor Specification v1.4 
    Virtual Wire compatibility mode. 
OEM ID: COMPAQ   Product ID:              APIC at: 0xFEE00000 
Processor #0 Pentium 4(tm) XEON(tm) APIC version 16 
I/O APIC #1 Version 17 at 0xFEC00000. 
Processors: 1 
xAPIC support is not present 
Enabling APIC mode: Flat.       Using 1 I/O APICs 
Kernel command line: ro root=LABEL=/1 acpismp=force 
Initializing CPU#0 
Detected 2793.225 MHz processor. 
Console: colour VGA+ 80x25 
Calibrating delay loop... 5570.56 BogoMIPS 
Memory: 1016800k/1040320k available (1685k kernel code, 20000k
reserved, 1317k 
data, 224k init, 122816k highmem) 
Dentry cache
Comment 1 Franklin Abud 2004-03-07 20:36:28 EST
RedVortex@scirso.com
Comment 2 Franklin Abud 2004-03-07 20:48:16 EST
RedVortex@scirso.com is the original report of this issue, 
Comment 3 Ernie Petrides 2004-03-08 11:52:32 EST
This problem has been fixed in RHEL 3 U2.


*** This bug has been marked as a duplicate of 106111 ***
Comment 4 John Flanagan 2004-05-11 21:08:36 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.